#ifndef DEFINITIONS_H
#define DEFINITIONS_H

/****************************************************************
 *																															*
 * Filename : Definition.h																			*
 *																															*
 ****************************************************************
 *																															*
 * Comment	: Allgemeine Definitionen														*
 *						Diese Includedatei sollte bei allen Routinen			*
 *						und im Hauptprogramm eingelesen werden.						*
 *																															*
 *						Es beinhaltet Definitionen fr:										*
 *							->File																					*
 *							->Graphik																				*
 *							->Menu																					*
 *							->Verschiedene																	*
 *						sowie verschiedene Makros.												*
 *																															*
 *			Rev : V1.0																							*
 *																															*
 *	History : V1.0 erstellen dieses Files							25.06.89	*
 *																															*
 *			Doc :																										*
 *																															*
 *		 Bugs : keine bekannten																		*
 *																															*
 *		Autor : Oesch Silvano																			*
 *																															*
 *		Datum : 25.06.89																					*
 *																															*
 ****************************************************************/

/****************************************************************
*																																*
*	allgemeine Includedateien																			*
*																																*
****************************************************************/

#include <proto/all.h>

/****************************************************************
 *																															*
 *		FILE Definitionen																					*
 *																															*
 ****************************************************************/

#define MAXPATH ((FCHARS*4)+DSIZE+1)
																		/* Grsse des Pfades				*/

/****************************************************************
 *																															*
 *		GRAPHIK Definitionen																			*
 *																															*
 ****************************************************************/

#define SCREENBREITE 640						/* ScreenBreite							*/
#define BITPLANE 3									/* Farbenanzahl							*/
#define FARBENANZAHL 1<<BITPLANE
#define SCREENHEADER 10							/* Grsse des Screenheaders	*/
#define WINDOWHEADER 10							/* Grsse des Windowheaders	*/

#define TOPAZSIZE 8

#define POINTERHOEHE 24
#define POINTERSPOT -7
#define POINTERBREITE 20

/****************************************************************
 *																															*
 *		GRAPHIK Makros																						*
 *																															*
 ****************************************************************/

#define BLAU(n) (n & 0x0000F)
#define GRUEN(n) ((n >> 4) & 0x000F)
#define ROT(n) ((n >> 8) & 0x000F)


/****************************************************************
 *																															*
 *		Verschiedene Definitionen																	*
 *																															*
 ****************************************************************/

#define TIME 250L										/* => 5 Sekunden						*/

/****************************************************************
 *																															*
 *		MEN Definitionen																					*
 *																															*
 ****************************************************************/

/****************************************************************
 *																															*
 * Menunamen																										*
 *																															*
 ****************************************************************/

#define	FILEMENU			0
#define BESCHRIFTUNG	1
#define SKALA					2
#define GRENZEN				3
#define BERECHNUNG		4
#define DARSTELLUNG		5

/****************************************************************
 *																															*
 * FILEMENU																											*
 *																															*
 ****************************************************************/

#define LOESCHEN			0
#define LADEN					1
#define SICHERN				2
#define SICHERNUNTER	3
#define DRUCKAUSGABE	4
#define PLOTAUSGABE		5
#define BEENDEN				6
#define HELP					7
#define INFORMATIONEN	8

/****************************************************************
 *																															*
 * BESCHRIFTUNG																									*
 *																															*
 ****************************************************************/

#define GRTITEL	0
#define X_ACHSE	1
#define Y_ACHSE	2
#define Z_ACHSE	3

/****************************************************************
 *																															*
 * Submenu X-ACHSE																							*
 *																															*
 ****************************************************************/

#define XACHSENNAME 0
#define XEINHEIT 1

/****************************************************************
 *																															*
 * Submenu Y-ACHSE																							*
 *																															*
 ****************************************************************/

#define YACHSENNAME 0
#define YEINHEIT 1

/****************************************************************
 *																															*
 * Submenu Z-ACHSE																							*
 *																															*
 ****************************************************************/

#define ZACHSENNAME 0
#define ZEINHEIT 1

/****************************************************************
 *																															*
 * SKALA																												*
 *																															*
 ****************************************************************/

#define XLIN	0
#define XLOG	1
#define XLN		2
#define YLIN	3
#define YLOG	4
#define YLN		5
#define ZLIN	6
#define ZLOG	7
#define ZLN		8

/****************************************************************
 *																															*
 * SKALA																												*
 *																															*
 ****************************************************************/

#define MXMIN		0
#define MXMAX 	1
#define MYMIN 	2
#define MYMAX 	3
#define MZMIN 	4
#define MZMAX 	5
#define MSTAND	6

/****************************************************************
 *																															*
 * BERECHNUNG																										*
 *																															*
 ****************************************************************/

#define	FORMEL	0
#define SINC		1
#define	COSC		2
#define SINCX		3
#define POWER		4
#define LOGX		5

/****************************************************************
 *																															*
 * DARSTELLUNG																									*
 *																															*
 ****************************************************************/

#define GITTER				0
#define AUTOVAL				1
#define SCTITEL				2
#define CROSSHATCH		3
#define HIDDENL				4
#define NEUZEICHNEN		5
#define AUFLOESUNG		6
#define FARBENAENDERN	7
#define FARBENLADEN		8
#define FARBENSICHERN	9

/****************************************************************
 *																															*
 * SubMenu AUFLOESUNG																						*
 *																															*
 ****************************************************************/

#define HIRESSCREEN 0
#define INTERSCREEN 1

/****************************************************************
 *																															*
 *		Menu Makros																								*
 *																															*
 ****************************************************************/

#define MENU(n) SHIFTMENU(n)
#define ITEM(n) SHIFTITEM(n)
#define SUBI(n) SHIFTSUB(n)

/****************************************************************
 *																															*
 *		Gadget Definitionen																				*
 *																															*
 ****************************************************************/

#define NEXTPAGE	 1
#define CANCEL		 2
#define PREVPAGE	 3

#endif DEFINITIONS_H
